package com.me.brickbuster.entity.powerup;

import com.badlogic.gdx.graphics.Color;
import com.badlogic.gdx.math.MathUtils;
import com.badlogic.gdx.math.Vector2;
import com.badlogic.gdx.utils.Array;
import com.me.brickbuster.entity.Ball;
import com.me.brickbuster.entity.Paddle;
import com.me.brickbuster.state.PlayState;

public class MultiBallPowerUp extends PowerUp {

	private Vector2 pos;
	private static final Array<Ball> ballsToAdd = new Array<Ball>();

	public MultiBallPowerUp(PlayState state, Vector2 brick, Color color) {
		super(state, brick, color);
		this.pos = getPos().cpy();
	}

	@Override
	public void activate() {
		final Array<Ball> existing = ((PlayState) state).balls;
		if (existing.size >= 3) {
			return;
		}

		for (Ball b : existing) {
			Vector2 velocity = b.getBody().getLinearVelocity();
			velocity.setAngleRad(velocity.angleRad() - MathUtils.PI/8);

			for (int x = 0; x < 2; x++) {
				Ball ball = new Ball((PlayState) state);
				ball.setX(b.getX());
				ball.setY(b.getY());
				ball.setStuck(false);
				ball.getBody().setLinearVelocity(velocity);
				ballsToAdd.add(ball);
				velocity.setAngleRad(velocity.angleRad() + MathUtils.PI/4);
			}
		}
		existing.addAll(ballsToAdd);
		ballsToAdd.clear();
	}
}
