package com.me.brickbuster.layout;

import com.badlogic.gdx.utils.Array;
import com.me.brickbuster.entity.Brick;
import com.me.brickbuster.state.FieldState;
import com.me.brickbuster.state.PlayState;

public class FileLayout implements BrickLayout {

	private FieldState state;
	private LevelJsonTemplate template;
	private Array<Brick> bricks;

	public FileLayout(FieldState state, LevelJsonTemplate template) {
		this.state = state;
		this.template = template;
	}

	@Override
	public void initialize() {
		bricks = new Array<Brick>();

		for (LevelJsonTemplate.BrickJsonTemplate brick : template.bricks) {
			final float x = PlayState.EDGE_PADDING + Brick.BRICK_WIDTH/2 + brick.col * Brick.BRICK_WIDTH;
			final float y = PlayState.EDGE_PADDING + Brick.BRICK_HEIGHT/2 + brick.row * Brick.BRICK_HEIGHT;

			bricks.add(new Brick(state, brick.type, brick.shape, brick.powerUp, x, PlayState.BOARD_HEIGHT - y));
		}
	}

	@Override
	public Array<Brick> getBricks() {
		return bricks;
	}


}
