package com.me.brickbuster.layout;

import com.badlogic.gdx.graphics.Texture;

public class Level {

	private final BrickLayout layout;
	private final Texture background;
	private final float randomPowerUpChance;

	public Level(BrickLayout layout) {
		this(layout, null, 0f);
	}

	public Level(BrickLayout layout, Texture background, float randomPowerUpChance) {
		this.layout = layout;
		this.background = background;
		this.randomPowerUpChance = randomPowerUpChance;
	}

	public BrickLayout getLayout() {
		return layout;
	}

	public Texture getBackground() {
		return background;
	}

	public float getRandomPowerUpChance() {
		return randomPowerUpChance;
	}

}
